org.apache.nutch.segment

## Class SegmentMerger.SegmentMergerReducer

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,MetaWrapper,Text,MetaWrapper>
  - - org.apache.nutch.segment.SegmentMerger.SegmentMergerReducer

- Enclosing class:
    SegmentMerger

      public static class SegmentMerger.SegmentMergerReducer
      extends Reducer<Text,MetaWrapper,Text,MetaWrapper>

  NOTE: in selecting the latest version we rely exclusively on the segment name (not all segment data contain time information). Therefore it is extremely important that segments be named in an increasing lexicographic order as their creation time increases.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentMergerReducer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `reduce(Text key, Iterable<MetaWrapper> values, Reducer.Context context)`
    `void` | `setup(Reducer.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentMergerReducer

          public SegmentMergerReducer()

  - ### Method Detail

    - #### setup

          public void setup(Reducer.Context context)

      Overrides:
        `setup` in class `Reducer<Text,MetaWrapper,Text,MetaWrapper>`

    - #### reduce

          public void reduce(Text key,
                             Iterable<MetaWrapper> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,MetaWrapper,Text,MetaWrapper>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2021 The Apache Software Foundation